[Unit]
Description=Cluster NFS Server

Wants=network-online.target
After=network-online.target

Wants=rpc-statd.service
After=rpc-statd.service

Wants=cluster-nfs-init.service
After=cluster-nfs-init.service

Wants=docker.service
After=docker.service

[Service]
TimeoutStartSec=3600
ExecStartPre=-/usr/bin/docker kill cluster-nfs.%H
ExecStartPre=-/usr/bin/docker rm cluster-nfs.%H
ExecStartPre=/usr/local/bin/wait-for-gateway
ExecStartPre=/usr/local/bin/wait-for-cluster
ExecStartPre=-/usr/bin/docker network create cluster-nfs-net --internal --attachable -d overlay --opt encrypted --scope swarm
ExecStartPre=/usr/bin/docker pull erichough/nfs-server
ExecStart=/usr/bin/docker run --name cluster-nfs.%H \
  --privileged \
  --restart=always \
  -e NFS_DISABLE_VERSION_3=1 \
  --network cluster-nfs-net \
  --network-alias cluster-nfs.%H \
  -v /opt/cluster-nfs:/opt/srv \
  -v /etc/cluster-nfs/cluster-nfs.exports:/etc/exports:z \
  erichough/nfs-server
ExecStop=/usr/bin/docker kill cluster-nfs.%H
KillMode=none
Type=simple
[Install]
WantedBy=multi-user.target
